Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils.IntervalTree
Class IntervalTree<T>

    java.lang.Object
      org.apache.cassandra.utils.IntervalTree.IntervalTree<T>

    public class IntervalTree<T>

extends java.lang.Object

Constructor Summary
`IntervalTree()`
`IntervalTree(java.util.List<Interval> intervals)`

Method Summary
`java.lang.Comparable` | `max()`
`java.lang.Comparable` | `min()`
`java.util.List<T>` | `search(Interval<T> searchInterval)`
`protected void` | `searchInternal(IntervalNode node, Interval<T> searchInterval, java.util.List<T> results)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntervalTree

    public IntervalTree()

### IntervalTree

    public IntervalTree(java.util.List<Interval> intervals)

Method Detail

### max

    public java.lang.Comparable max()

### min

    public java.lang.Comparable min()

### search

    public java.util.List<T> search(Interval<T> searchInterval)

### searchInternal

    protected void searchInternal(IntervalNode node,
                                  Interval<T> searchInterval,
                                  java.util.List<T> results)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation